Argus API Argus Camera API

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Protected Member Functions
Argus::CaptureMetadata Class Reference

A container for metadata from a single capture. More...

`#include <CaptureMetadata.h>`

Inheritance diagram for Argus::CaptureMetadata:

List of all members.

## Protected Member Functions

| ~CaptureMetadata ()
Protected Member Functions inherited from Argus::InterfaceProvider
| ~InterfaceProvider ()

## Additional Inherited Members

Public Member Functions inherited from Argus::InterfaceProvider
virtual Interface * | getInterface (const InterfaceID &interfaceId)=0
| Acquire the interface specified by `interfaceId`.

## Detailed Description

A container for metadata from a single capture.

Definition at line 39 of file CaptureMetadata.h.

## Constructor & Destructor Documentation

Argus::CaptureMetadata::~CaptureMetadata | ( |  | ) |

inlineprotected

Definition at line 42 of file CaptureMetadata.h.

The documentation for this class was generated from the following file:

- include/Argus/CaptureMetadata.h